iOS 2.8.0之前版本SDK CocoaPods集成说明


            
2016-11-10 17:58 | iOS

回答:

1、 CocoaPods 安装

如果您的机器上已经安装了 CocoaPods,直接进入下一步即可。

如果您的网络已经翻墙,在终端中运行如下命令直接安装:

sudo gem install cocoapods

如果您的网络不能翻墙,可以通过淘宝的 RubyGems镜像 进行安装。在终端依次运行以下命令:

gem sources --add https://ruby.taobao.org/ --remove https://rubygems.org/sudo gem install cocoapods

2、 查询 CocoaPods 源中的融云 SDK

在终端中运行以下命令:

pod search RongCloudIM


sdk_pod_search@2x.png


您可以看到,融云在 CocoaPods 上提供了三种 SDK 下载,IMLib不包含音视频功能的 IMKit包含音视频功能的 IMKit,您按照您的需求安装选择其中一个即可。

如果运行以上命令,没有搜到融云的 SDK 或者搜不到最新的 SDK 版本,您可以运行以下命令,更新一下您本地的 CocoaPods 源列表。

pod repo update

3、 使用 CocoaPods 导入融云 SDK

在您的工程根目录下新建一个 Podfile 文件,在文件中输入以下内容。(在此以 2.4.0 版本为例,其中 “MyApp” 为自己工程名)

target 'MyApp' do
pod 'RongCloudIMKit', '2.4.0'end

然后在终端中运行以下命令:

pod install

完成后,CocoaPods 会在您的工程根目录下生成一个 .xcworkspace 文件。您需要通过此文件打开您的工程,而不是之前的 .xcodeproj


注:请不要在 Podfile 中同时引用 IMKit 和 IMLib,因为 CocoaPods 中的 IMKit 包中已经包含了 IMLib 的内容,重复引用会导致无法正常编译。


以上说明仅用于2.8.0之前的iOS SDK,如果您需要集成2.8.0和之后版本的SDK,请参考知识库链接 http://support.rongcloud.cn/kb/NTQ2

您认为此回答对您有帮助?

共有 3 位开发者认为此问题有帮助

我对此仍有疑问!继续追问